Lyx-2.3.6 build failure

Jean-Marc Lasgouttes lasgouttes at lyx.org
Tue Dec 1 08:32:18 UTC 2020


Le 01/12/2020 à 01:20, Rich Shepard a écrit :
> Somehow, at some time since 3.5.3.2 was released I managed to lose by lyx
> build directory on my Slackware-14.2/x86_64 workstation. I restored it and
> downloaded lyx-2.3.6.tar.xz but trying to build it fails when a 'build-all'
> command cannot be found.
> 
> The complete output is attached.
> 
> I've looked at it (briefly) and don't see why it failed. I expect one of 
> you
> devs will immediately spot the problem and let me know how to fix it.
> 
> Stay well all,
> 
> Rich
> 
Wild guess:

moc_FileMonitor.cpp:13:2: error: #error "This file was generated using 
the moc from 4.8.7. It"
  #error "This file was generated using the moc from 4.8.7. It"
   ^
moc_FileMonitor.cpp:14:2: error: #error "cannot be used with the include 
files from this version of Qt."
  #error "cannot be used with the include files from this version of Qt."

The "moc" binary that you have in the path is from Qt 4.8.7, and the Qt 
library is from a different version.

JMarc


More information about the lyx-users mailing list